## org.eclipse.wst.server.core.util
Class NullModuleArtifact

    java.lang.Object
      org.eclipse.wst.server.core.model.ModuleArtifactDelegate
          org.eclipse.wst.server.core.util.NullModuleArtifact

All Implemented Interfaces:
  IModuleArtifact

    public class NullModuleArtifact

extends ModuleArtifactDelegate

A dummy module artifact.

Since:
  1.0

Constructor Summary
`NullModuleArtifact()` Create a new empty reference to a module.
`NullModuleArtifact(IModule module)` Create a new reference to a module.

Method Summary
`java.lang.String` `getName()` Returns a user-presentable name for this artifact.
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.wst.server.core.model.ModuleArtifactDelegate
`deserialize, getModule, serialize`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NullModuleArtifact

    public NullModuleArtifact(IModule module)

  Create a new reference to a module.

  Parameters:
    `module` - the module

### NullModuleArtifact

    public NullModuleArtifact()

  Create a new empty reference to a module.

Method Detail

### getName

    public java.lang.String getName()

  Description copied from class: `ModuleArtifactDelegate`
  Returns a user-presentable name for this artifact.

  Specified by:
    `getName` in class `ModuleArtifactDelegate`
  Returns:
    a user-presentable name

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  See Also:
    `Object.toString()`